Bug 888112 - Yellow error display bar is incapable of wrapping long errors, they are too wide and overflow the side of the screen
Yellow error display bar is incapable of wrapping long errors, they are too w...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
All All
unspecified Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F18-accepted/F18FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2012-12-17 21:19 EST by Adam Williamson
Modified: 2012-12-20 00:35 EST (History)
4 users (show)

See Also:
Fixed In Version: anaconda-18.37.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 00:35:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2012-12-17 21:19:50 EST
newUI seems to have a sort of generic way of handling various error messages - they are displayed in a yellow bar at the bottom of the screen.

This does not seem to be capable of line wrapping. Any time an error message is too wide for the screen, it doesn't get wrapped, it just flows off the side of the screen. You can't read the end of it. And it also seems to screw up the display of the 'FEDORA 18-TC3 INSTALLATION PRE-RELEASE / TESTING' text at top right - until the error message goes away, that is rendered off the side of the screen too.

I've seen this with the new hostname setting code - the error message that starts "Hostname is not valid: Hostnames can only contain the characters 'a-z', 'A-Z', '0-9', '-' or '.', parts between periods must contain something and cannot start or end..." is too wide for a 1024x768 display (overflows at that point), and also with the root password setting code (the error about a password being based on a dictionary word is too wide and also overflows). I don't think the sensible response is 'make sure any error message anaconda can possibly display fits on a single line at 640x480' or anything like that, surely it makes more sense to allow them to wrap?
Comment 1 Adam Williamson 2012-12-17 21:21:02 EST
Proposing as NTH, obviously we want people to be able to actually read the errors we're displaying, though they probably get the gist as things stand.
Comment 2 Adam Williamson 2012-12-18 17:48:03 EST
So I suppose with the proposed fix for this (enabling wrap) we need to be on the look out for absurdly long errors that might flow over the whole screen or something. Perhaps there should be some kind of sanity cap on total length?
Comment 3 Fedora Update System 2012-12-18 20:34:25 EST
anaconda-18.37.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.37.4-1.fc18
Comment 4 Adam Williamson 2012-12-19 03:22:33 EST
Confirmed in smoke8 (tested using the 'password is based on a dictionary word' root PW set error, in French - in English it just fits on one line at 1024x768, in French it goes over). Wrapped nicely onto a second line, no apparent ill effects.
Comment 5 Adam Williamson 2012-12-19 14:31:32 EST
Discussed at 2012-12-19 NTH review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-19/f18final-blocker-review-6.2012-12-19-17.02.log.txt . Accepted as NTH, it's a reasonably safe change and obviously it's important that people be able to read error messages.
Comment 6 Fedora Update System 2012-12-20 00:35:45 EST
anaconda-18.37.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.